Subject: Re: ASM formatting rules?

From: Matt Porter <[email-masked]>
Date: Mon, 28 Mar 2005 10:22:03 -0700

On Mon, Mar 28, 2005 at 09:56:11AM -0700, Tom Rini wrote:
> On Mon, Mar 28, 2005 at 10:44:17AM -0600, Kumar Gala wrote:
> > Guys,
> > 
> > While this is not overly important to me, I was wondering if we had any 
> > rules related to formatting of assembly files.  We seem to have code 
> > formatted with and without spaces in the args.
> > 
> > I'm assuming something like this (w/o spaces):
> > 
> > <TAB>insn<TAB>argD,arg1,arg2
> > 
> > is what we want?  Just trying to get a rule documented going forward.
> 
> My preference is for spaces after each , just because it makes it
> visually clearer (and I don't always have instant mental insn->#args
> mental mapping :)).

As long as there is <TAG>insn<TAB>, I don't have strong feelings
about the arg spacing.  I feel that spaces between args really
don't enhance readability (why I have none between args in
head_44x.S) but I can live with them.

I think this is a good idea to get some consistency throughout
ppc32 asm.

-Matt